/*
打鼓功能描述：将手放在超声波上方约10cm到20cm之间挥动，即可让扬声器发出打鼓的声音.OvO
*/
#include <Wire.h>
#include "kt540b.h"  //mp3

#define PIN_TRIG    5
#define PIN_ECHO    4//超声波

Kt540bClass mp3(7, 6);

float distance;
void setup() {
    Serial.begin(9600);
    mp3.begin();         // 1. mp3模块测试
    delay(2500);
    mp3.setVolume(30);
    pinMode(PIN_TRIG, OUTPUT);
    pinMode(PIN_ECHO, INPUT);

}

void loop() {
    getDistanceVal();
  if(distance<13)
  {
     mp3.play(10);
     delay(200);
   
    }

}

static void getDistanceVal(void)//超声波
{
  digitalWrite(PIN_TRIG, LOW);
  delayMicroseconds(2);
  digitalWrite(PIN_TRIG, HIGH);
  delayMicroseconds(10);
  digitalWrite(PIN_TRIG, LOW);
  // 检测脉冲宽度，并计算出距离
  distance = pulseIn(PIN_ECHO, HIGH) / 58.00;
  Serial.print(distance);
  Serial.print("cm");
  Serial.println();
}



