/*  
 *   Mp3功能描述：1.歌曲在播放状态：如果按下右键，歌曲将进行下一首播放；按下左键，歌曲将进行上一首播放；按下上键，音量将会升高；按下下键，音量将会降低；按下播放/暂停键，歌曲将暂停.(PS:歌曲是循环播放的)
 *                2.歌曲未播放状态：如果按下播放/暂停键，歌曲将进行播放.
 *           
*/
#include "IRremoteTools_1.h"//红外
#include "IRremote_1.h" //红外
#include <Wire.h>
#include <SoftwareSerial.h> //串口
#include "kt540b.h"  //mp3
//#include "U8glib.h" //显示屏

#define PIN_TRIG    5  
#define PIN_SOUND   A0

//U8GLIB_SSD1306_128X64 u8g(U8G_I2C_OPT_NONE | U8G_I2C_OPT_DEV_0);  // I2C / TWI 
Kt540bClass mp3(7, 6);

int volume;
int t=0;
unsigned long irData;//定义红外

static void draw(void);

void setup() {

  Serial.begin(9600);
   beginIRremote();
    mp3.begin();         // 1. mp3模块测试
    mp3.setVolume(15);
    delay(2500);
 
    //u8g.setFont(u8g_font_6x10r);
}

void loop() {
    getIrVal();
 volume = analogRead(PIN_SOUND);
//  u8g.firstPage();
//    do {
//      draw();
//    } while (u8g.nextPage());
 if(irData==16748655) // 下一首 
 {
    mp3.playNext();
      irData=1;
  }
 if(irData==16769055) //上一首
  {
   mp3.playPrev();
    irData=1;
    }
 if(irData==16712445) //加音量
  {
      mp3.volumeInc();
      irData=1;
      }
 if(irData==16750695) //减音量
  {
     mp3.volumeDec();
      irData=1;
      }
   
 if(irData==16754775)//暂停/播放
  {
          t++;
        if(t%2==1){
          mp3.pause(); 
          irData=1;
        }
        if(t%2==0){
          mp3.play();
           irData=1;
          }        
      }   
}

static void getIrVal(void)//红外
{
  if (IRrecived())
  {
    irData = getIRresult();
    Serial.println(irData);
    resumeIRremote();
  }
}

//static void draw(void)
//{
//    u8g.drawStr(0, 10, "VOL: ");     //4、声音测试   u8g.drawStr(与左端屏幕的间隔距离, 字体大小, "字符或字符串 ")
//    u8g.setPrintPos(30, 10);        //输出数值坐标的位置
//    u8g.print(volume);
//}

